Skip to content

getMonitorMetadataCandidates

READ

Find monitors with missing address/customer metadata and nearby service-location candidates.

POST /api/v1/routes/getMonitorMetadataCandidates
curl -X POST '<your-host>/api/v1/routes/getMonitorMetadataCandidates' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "monitorId": "string",
    "radiusMeters": 5000,
    "limit": 20,
    "afterMonitorId": "string"
  }'
Response
{
  "radiusMeters": 0,
  "nextCursor": "string",
  "records": [
    {
      "monitorId": "string",
      "provider": "otodata",
      "vendorDeviceId": "string",
      "revision": 0,
      "position": {
        "latitude": 0,
        "longitude": 0,
        "source": "string"
      },
      "currentMetadata": {
        "…": "…"
      },
      "currentLocationId": "string",
      "knownTankLocationId": "string",
      "scope": "vendor_metadata",
      "vendorWriteSupported": true,
      "pendingCorrection": {
        "status": "pending",
        "message": "string",
        "updatedAt": "string"
      },
      "missingFields": [
        "string"
      ],
      "ambiguous": true,
      "positionAvailable": true,
      "candidates": [
        {
          "customerLocationId": "string",
          "customerId": "string",
          "customerName": "string",
          "locationName": "string",
          "address": {
            "…": "string"
          },
          "latitude": 0,
          "longitude": 0,
          "distanceMeters": 0,
          "addressRevision": "string",
          "matchesKnownTank": true,
          "eligible": true,
          "ineligibleReason": "string",
          "source": "string"
        }
      ],
      "providerReadError": "string",
      "vendorMetadataRevision": "string",
      "providerEndpoint": "string"
    }
  ]
}

Parameters

ParameterType
min length 1max length 256
min 1max 50
min length 1max length 256
min 1max 20000

Input schema

schema
{
  "type": "object",
  "properties": {
    "monitorId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 256
    },
    "radiusMeters": {
      "default": 5000,
      "type": "integer",
      "minimum": 1,
      "maximum": 20000
    },
    "limit": {
      "default": 20,
      "type": "integer",
      "minimum": 1,
      "maximum": 50
    },
    "afterMonitorId": {
      "type": "string",
      "minLength": 1,
      "maxLength": 256
    }
  },
  "additionalProperties": false
}